dP.slice.productTable = {
  getItems: function() {
    return Object.keys(dP.products)
      .map(k=>dP.products[k])
      .map(item=>{
        dP.slice.productTable.updateFilterCache(item);
        return item;
      })
  },
  updateFilterCache: function(item) {
    item._titleFilter = item.title.toLowerCase();
    item._componentsFilter = (dP.componentsListHashByProduct[item.id] || []).map(a=>a.name).join(' ');
    item._tagsFilter = (item.tags || []).map(t=>dP.tagsHash[t].name).join(' ');
  }
};